1

In the ConfigandLog directory, this error is produced every minute:

[warning] Deprecated function CRM_Core_Config::defaultContactCountry, use CRM_Core_BAO_Country::defaultContactCountry.
Array
(
    [civi.tag] => deprecated
)

What configuration do I have wrong that is making this occur?

On Civi 5.24.4 / Wordpress 5.4.1. Multisite.

7
  • 1
    My guess would be it's coming from an extension. Try grep -r defaultContactCountry your_extensions_folder to see what comes up.
    – Demerit
    May 27 '20 at 20:02
  • pastebin.com/v7skYeWP
    – Andy Burns
    May 27 '20 at 21:47
  • Just noticed it's already patched in master. Have updated answer.
    – Demerit
    May 27 '20 at 21:57
  • We were on 1.0. Apparently the ext does not give an upgrade notice. Now running into enabling issue github.com/cividesk/com.cividesk.normalize/issues/…. Should I care that the enabling didn't go smoothly but still says enabled?
    – Andy Burns
    May 28 '20 at 16:13
  • 1
    Me personally I would probably just do the patch.
    – Demerit
    May 28 '20 at 17:23
0

Looks like cividesk.normalize based on the pastebin.

Actually looks like it's already patched in master: https://github.com/cividesk/com.cividesk.normalize/commit/221562b8bf4fb56fe677eaaf9122d3af5c3cce74

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.